SDL_GetJoystickHat(3)

NAME
SDL_GetJoystickHat - Get the current state of a POV hat on a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint8 SDL_GetJoystickHat(SDL_Joystick *joystick, int hat);

DESCRIPTION
The returned value will be one of the following positions: • SDL_HAT_CENTERED • SDL_HAT_UP • SDL_HAT_RIGHT • SDL_HAT_DOWN • SDL_HAT_LEFT • SDL_HAT_RIGHTUP • SDL_HAT_RIGHTDOWN • SDL_HAT_LEFTUP • SDL_HAT_LEFTDOWN

FUNCTION PARAMETERS

joystick
    an SDL_Joystick
     structure containing joystick information

hat the hat index to get the state from; indices start at index 0

RETURN VALUE
Returns the current hat position.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetNumJoystickHats(3)